Bug 225711 - Merge Review: dump
Merge Review: dump
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 13:30 EST by Nobody's working on this, feel free to take it
Modified: 2009-02-05 08:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-05 08:09:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+


Attachments (Terms of Use)
spec file patch - cleanups (2.71 KB, patch)
2009-02-04 20:18 EST, manuel wolfshant
no flags Details | Diff

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 13:30:44 EST
Fedora Merge Review: dump

http://cvs.fedora.redhat.com/viewcvs/devel/dump/
Initial Owner: atkac@redhat.com
Comment 1 manuel wolfshant 2009-02-04 20:18:25 EST
Created attachment 330953 [details]
spec file patch - cleanups

Please find attached a small patch for the spec which makes rpmlint happier. There are some errors left:
rpmlint of dump:
dump.x86_64: E: zero-length /etc/dumpdates
dump.x86_64: E: explicit-lib-dependency bzip2-libs
dump.x86_64: E: explicit-lib-dependency e2fsprogs-libs
dump.x86_64: E: explicit-lib-dependency libselinux
dump.x86_64: E: explicit-lib-dependency libsepol
dump.x86_64: E: explicit-lib-dependency zlib

I can understand the need of the zero-length dumpdates, but I do not understand why does the spec say:
# This Requires is now mandatory because we only ship static binaries, and
# need to ensure the "disk" group is created before installation (#60461)
Requires: setup, e2fsprogs-libs, zlib, bzip2-libs, device-mapper
Requires: rmt, libselinux, libsepol, glibc

but later on you do:
  %configure --disable-static \

Of course rpmbuild picks all requires automatically, so I guess you should drop either the explicit requires or the --disable-static.
Comment 2 Adam Tkac 2009-02-05 06:42:28 EST
Thanks for specfile patch, it's ok. I removed explicit requires as well so dump-0.4b41-10.fc11 should be sane.
Comment 3 manuel wolfshant 2009-02-05 06:54:49 EST
One more thing, probably minor: in the build.log I see:

 configure: WARNING: unrecognized options: --with-dumpdates

Leftover from a previous version ?
Comment 4 Adam Tkac 2009-02-05 07:28:33 EST
(In reply to comment #3)
> One more thing, probably minor: in the build.log I see:
> 
>  configure: WARNING: unrecognized options: --with-dumpdates
> 
> Leftover from a previous version ?

ah, that option has been changed to "--with-dumpdatespath" but we don't need it at all, it is set correctly by default. I commited removal to CVS.
Comment 5 manuel wolfshant 2009-02-05 07:40:57 EST
excellent. APPROVED.
Comment 6 Adam Tkac 2009-02-05 08:09:30 EST
Thanks for review.

Note You need to log in before you can comment on or make changes to this bug.